Đến nội dung


Hình ảnh
- - - - -

[yêu cầu ] lisp nối text tự động !


  • Please log in to reply
30 replies to this topic

#21 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 July 2012 - 12:03 PM

- Thứ nhất : bạn đọc kỹ lại hướng dẫn.
Cả 2 code đều sửa sai bét. Code đầu thì k thèm xóa dấu ( và ) như hướng dẫn. Code 2 thì sửa sai vị trí, đang nói ở dòng trên lại sửa xuống dòng dưới
- Thứ 2 : lần cuối mình nhắc bạn về chuyện code trong thẻ code
Nếu bạn không sửa hoặc tái diễn thì sẽ lại tiếp tục gây thiếu thiện cảm với mọi người
Goodluck
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#22 leejang

leejang

    biết lệnh move

  • Members
  • PipPipPip
  • 120 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 12 July 2012 - 02:23 PM

hí. Ngon rồi. Thanks bác Ketxu nhé. Cái này em không chuyên nên cái dấu ngoặc đó em ko để ý lắm.
  • 0

#23 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 13 July 2012 - 11:00 AM

hí. Ngon rồi. Thanks bác Ketxu nhé. Cái này em không chuyên nên cái dấu ngoặc đó em ko để ý lắm.

Hề hề hề,
Nó chạy tốt, nhưng kết quả chưa hoàn toàn đúng đâu bạn ạ. Nhất là với các cụm text sát nhau. Hãy kiểm tra lại nhé. Mặt khác thời gian chạy xem ra cũng không nhỏ. Mình chạy thử thấy mất >5 phút cái bản vẽ bạn gửi ~1700 đối tượng.Nguyên nhân do bác Ket chọn toàn bộ text bất kể nó là gì.
Vậy chắc chưa ngon bằng của mình rồi.
Hề hề hề.....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#24 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 13 July 2012 - 01:41 PM

Mình nhận thấy, bài toán nối text có thể được đáp ứng bằng lisp như trên, nhưng vị trí text sẽ không đúng là điểm "chuẩn" cao độ ban đầu của nó nữa.
Bạn có thể nhận thấy ở giữa những text chưa được ghép nối có 1 "point"
Là dân giao thông, mình thấy điểm đó mới là điểm cao độ cần, hay đúng hơn là "point" để đặt text
Các lisp trên đang làm text không còn đúng vào điểm "point" mong muốn đó nữa ==> Bình đồ số sẽ bị sai
Kiến nghị chủ Topic hãy xem xét và bắt đầu tiếp cận để xây dựng bề mặt bằng từ 1 nguồn số liệu khác đáng tin cậy hơn
  • 0
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#25 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 13 July 2012 - 03:22 PM

Mình nhận thấy, bài toán nối text có thể được đáp ứng bằng lisp như trên, nhưng vị trí text sẽ không đúng là điểm "chuẩn" cao độ ban đầu của nó nữa.
Bạn có thể nhận thấy ở giữa những text chưa được ghép nối có 1 "point"
Là dân giao thông, mình thấy điểm đó mới là điểm cao độ cần, hay đúng hơn là "point" để đặt text
Các lisp trên đang làm text không còn đúng vào điểm "point" mong muốn đó nữa ==> Bình đồ số sẽ bị sai
Kiến nghị chủ Topic hãy xem xét và bắt đầu tiếp cận để xây dựng bề mặt bằng từ 1 nguồn số liệu khác đáng tin cậy hơn

Hề hề hề,
cái ni là do chủ thớt muốn vậy chớ không yêu cầu chi đụng tới cái point của chủ thớt cả. Có thể chủ thớt cũng chưa hiểu hết điều mình cần chăng????
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#26 hmt

hmt

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 18 September 2013 - 09:33 AM

cho phép e đào mộ lisp này 1 chút , lisp của a ketxu dùng nối lisp tốt theo yêu cầu của bác jang nhưng lúc nối xong thì e thấy text bị chuyển vị trí? dịch sang bên trái 1 chút có thể nào giữ nguyên vị trí của text đc k ạ, 


  • 0

#27 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 18 September 2013 - 10:20 AM

cho phép e đào mộ lisp này 1 chút , lisp của a ketxu dùng nối lisp tốt theo yêu cầu của bác jang nhưng lúc nối xong thì e thấy text bị chuyển vị trí? dịch sang bên trái 1 chút có thể nào giữ nguyên vị trí của text đc k ạ, 

Hề hề hề

Có hai text được nối lại thành 1. Vậy bạn muốn giữ nguyên vị trí của text nào ??????


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#28 hmt

hmt

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 19 September 2013 - 06:17 PM

chào bác Bình :0 ví dụ tex 15,20 đang bị tách thành 2 text 15 và ,20 thì e muốn nó nối lại với nhau va giữ nguyên vj trí của text 15 ( phần nguyên) còn phần thập phân ,20 thì theo sau thôi ạ :) bác vào giúp e chút với :) e cũng đang cần gấp :0 thank bác 


  • 0

#29 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 19 September 2013 - 06:34 PM

chào bác Bình :0 ví dụ tex 15,20 đang bị tách thành 2 text 15 và ,20 thì e muốn nó nối lại với nhau va giữ nguyên vj trí của text 15 ( phần nguyên) còn phần thập phân ,20 thì theo sau thôi ạ :) bác vào giúp e chút với :) e cũng đang cần gấp :0 thank bác 

Hề hề hề,

Việc căn chỉnh text này phụ thuộc vào cấu tạo của các text thành phần. Vì thế bạn hãy gửi một bản vẽ có các text cần nối lên để mình xem cụ thể các text này được căn lề ra sao. Từ đó mới có thể căn text ghép đúng vị trí của text cũ được bạn ạ. Có thể sẽ có trường hợp kết quả chỉ gần trùng chứ không thể trùng hoàn được bạn ạ. Do khoảng cách giữa các ký tự trong text không phải lúc nào cũng là bằng nhau.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#30 hmt

hmt

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 22 September 2013 - 03:39 PM

vâng đây là file của e :) các text bị rời nhau ra a ạ . http://www.cadviet.c.../3/48377_bd.dwg


  • 0

#31 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 23 September 2013 - 10:12 AM

vâng đây là file của e :) các text bị rời nhau ra a ạ . http://www.cadviet.c.../3/48377_bd.dwg

Hề hề hề, Với bản vẽ bạn gửi lên, tức là với cấu trúc các text tương tự như vậy, cùng chiều cao text, cùng cách căn lề thì bạn có thể sử dụng lisp của bác ketxu và thêm dòng code sau đây vào cuối vòng lặp (while ..... )

(command "move" (vlax-vla-object->ename tobj) "" (setq p (getpoint)) (list (+ (car p) 1.6) (cadr p) (caddr p)))

 

Hy vọng đúng ý bạn.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.